Subject: RE: Work effort? (Re: Proposed Standard and Perfection)

From: "Eric Burger" <[email-masked]>
Date: Sun, 7 Mar 2004 22:07:03 -0500

I think that is an excellent idea.

Of course, if we keep calling everything a RFC, I do not think this will have any noticeable effect on either moving things forward or out.

For example, there would still be little incentive for people to do the hard work of interoperability reports and (worse yet) finding out that they are not fully interoperable.  If we don't make things that are obsolete clearly obsolete, the miscreants' marketing department will still be happy to say, "our product Z is fully compliant with RFC XXXX"; most of the world will not know or care the RFC XXXX was aged out.

The program works for I-D's, because I-D's disappear after six months.

People would have incentive to move things from PS to DS if, for example, RFC XXXX becomes something like "OBS XXXX".

> -----Original Message-----
> From: Harald Tveit Alvestrand [mailto:[email-masked]]
> Sent: Sunday, March 07, 2004 2:42 AM
> To: [email-masked]
> Subject: Work effort? (Re: Proposed Standard and Perfection)
> 
> 
> it's me again.....
> 
> --On 4. mars 2004 10:59 -0800 Eliot Lear <[email-masked]> wrote:
> 
> > We come to different conclusions here.  My conclusion is 
> that no standard
> > should remain at proposed for more than 2 years unless it's revised.
> > Either it goes up, it goes away, or it gets revised and 
> goes around again.
> 
> I spent some time thinking about this comment from the 
> plenary on my way 
> home from Seoul. (An advantage of long flights....?)
> 
> I don't think obsoleting as a regular procedure is a bad 
> idea. But it will 
> take some work to get from here to there.
> 
> My musings came up with a guesstimate of 1/2 hour of work per 
> document on 
> the standards track that has been abandoned totally (due 
> dilligence in 
> figuring out that *nobody* is using it), and 4 hours of work 
> per document 
> on the standards track that is in use, but has no 
> particularly interesting 
> future and should be moved to informational - and a somewhat 
> larger figure 
> for the documents where there is in fact a reason to revive 
> and revise them.
> 
> Some calculations using very round numbers.....
> 
> We have approximately 992 Proposed documents, of which I 
> guesstimate that 
> about 800 documents are ready for evaluation under the 2-year 
> rule; if we 
> assume a 12:3:1 distribution of the three categories above, 
> we're looking 
> at around 600x0.5 + 150x4 = 900 man-hours to get there, if we 
> disregard the 
> part about the standards that deserve updating, and disregard 
> the documents 
> that have gotten to Draft and the full standards that deserve 
> honorable 
> retirement.
> Possibly quite a bit less once the team doing it gets into 
> full swing, or 
> if there are many standards for which it is easy to show that no 
> usage/interest exists.
> 
> So if we can get 9 people to work at it, and want to be 
> up-to-date in a 
> year, we're looking at an investment of around 100 hours per 
> volunteer - or 
> about 2 hours each week for a year.
> 
> In the steady state (30 docs/month, currently), perhaps 30 
> man-hours/month 
> could be enough - lower, because since the docs are newer, 
> people who are 
> asked actually remember.....
> 
> That doesn't look too awful.... people who want to volunteer 
> for this work 
> can contact me, and we'll see if we can figure out a way to do it....
> 
>                   Harald
> 
> 
> 
> 
> 
> 
>